Bug 187307 - kernel panic - bug at mm/rmap.c
kernel panic - bug at mm/rmap.c
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 16:10 EST by Chris Ricker
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 18:45:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
oops from /var/log/messages (2.77 KB, text/plain)
2006-03-29 16:10 EST, Chris Ricker
no flags Details

  None (edit)
Description Chris Ricker 2006-03-29 16:10:12 EST
System crashed while doing a yum update

FC5, running kernel-smp-2.6.15-1.2054_FC5

oops attached
Comment 1 Chris Ricker 2006-03-29 16:10:12 EST
Created attachment 127022 [details]
oops from /var/log/messages
Comment 2 Chris Ricker 2006-03-31 16:48:58 EST
This may be due to bad hardware - memtest86+ just flushed out a flaky DIMM
Comment 3 Evan Clarke 2006-08-02 21:41:04 EDT
When shutting down my computer I received a very similar kernel bug notice:
Aug  2 21:48:09 localhost kernel: Eeek! page_mapcount(page) went negative! (-1)
Aug  2 21:48:09 localhost kernel:   page->flags = 80000084
Aug  2 21:48:09 localhost kernel:   page->count = 1
Aug  2 21:48:09 localhost kernel:   page->mapping = 00000000
Aug  2 21:48:09 localhost kernel: ------------[ cut here ]------------
Aug  2 21:48:09 localhost kernel: kernel BUG at mm/rmap.c:560!
Aug  2 21:48:09 localhost kernel: invalid opcode: 0000 [#1]
Aug  2 21:48:09 localhost kernel: last sysfs file:
/class/net/ppp0/statistics/collisions
Aug  2 21:48:09 localhost kernel: Modules linked in: ppp_deflate zlib_deflate
ppp_async crc_ccitt ppp_generic slhc ipv6 autofs4 sunrpc ip_conntrack_netbios_ns
ipt_REJECT xt_state ip_conntrack nfnetlink xt_tcpudp iptable_filter ip_tables
x_tables sd_mod sg video button battery ac lp usb_storage scsi_mod floppy
uhci_hcd ehci_hcd snd_via82xx gameport snd_ac97_codec snd_ac97_bus snd_seq_dummy
snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm
snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd
soundcore i2c_viapro via686a hwmon i2c_isa parport_pc i2c_core parport
dm_snapshot dm_zero dm_mirror dm_mod ext3 jbd
Aug  2 21:48:09 localhost kernel: CPU:    0
Aug  2 21:48:09 localhost kernel: EIP:    0060:[<c04503cc>]    Not tainted VLI
Aug  2 21:48:09 localhost kernel: EFLAGS: 00010286   (2.6.17-1.2157_FC5 #1)
Aug  2 21:48:09 localhost kernel: EIP is at page_remove_rmap+0x75/0x91
Aug  2 21:48:09 localhost kernel: eax: ffffffff   ebx: c12db2c0   ecx: ffffffff
  edx: d3199aa0
Aug  2 21:48:09 localhost kernel: esi: 003de000   edi: c5da3f78   ebp: 00000020
  esp: d37fced0
Aug  2 21:48:09 localhost kernel: ds: 007b   es: 007b   ss: 0068
Aug  2 21:48:09 localhost kernel: Process udev_run_devd (pid: 3879,
threadinfo=d37fc000 task=d3199aa0)
Aug  2 21:48:09 localhost kernel: Stack: c0624067 00000000 c12db2c0 c044a769
00000000 d58ee4ec d37fcf44 003f3000
Aug  2 21:48:09 localhost kernel:        00000000 00000001 00400000 d3f04000
c13b4080 c076831c 00000000 fffffff3
Aug  2 21:48:09 localhost kernel:        c13b40d4 d3f04000 004ff000 00000000
d37fcf44 d58ee4ec c13b4080 00007f00
Aug  2 21:48:09 localhost kernel: Call Trace:
Aug  2 21:48:09 localhost kernel:  <c044a769> unmap_vmas+0x285/0x490  <c044d0fc>
exit_mmap+0x5f/0xd5
Aug  2 21:48:09 localhost kernel:  <c0419fb1> mmput+0x26/0xce  <c041d465>
exit_mm+0x10f/0x11f
Aug  2 21:48:09 localhost kernel:  <c041e99d> do_exit+0x1c2/0x768  <c045c4bf>
vfs_writev+0x3d/0x48
Aug  2 21:48:09 localhost kernel:  <c041efb0> sys_exit_group+0x0/0xd  <c0402cb3>
syscall_call+0x7/0xb
Aug  2 21:48:09 localhost kernel: Code: 42 04 c7 04 24 50 40 62 c0 89 44 24 04
e8 08 c6 fc ff 8b 43 10 c7 04
24 67 40 62 c0 89 44 24 04 e8 f5 c5 fc ff 8b 43 08 40 79 08 <0f> 0b 30 02 fc 3f
62 c0 59 83 ca ff 5b b8 10 00 00 00 5b e9 41
Aug  2 21:48:09 localhost kernel: EIP: [<c04503cc>] page_remove_rmap+0x75/0x91
SS:ESP 0068:d37fced0
Aug  2 21:48:09 localhost kernel:  <3>BUG: sleeping function called from invalid
context at include/linux/rwsem.h:43
Aug  2 21:48:09 localhost kernel: in_atomic():1, irqs_disabled():0
Aug  2 21:48:09 localhost kernel:  <c0426d85>
blocking_notifier_call_chain+0x18/0x49  <c041e7f4> do_exit+0x19/0x768
Aug  2 21:48:09 localhost kernel:  <c04042c0> die+0x27b/0x2a0  <c04048a5>
do_invalid_op+0x0/0xab
Aug  2 21:48:09 localhost kernel:  <c0404947> do_invalid_op+0xa2/0xab 
<c04503cc> page_remove_rmap+0x75/0x91
Aug  2 21:48:09 localhost kernel:  <c04b0fc6> avc_has_perm+0x4e/0x58  <c04b1600>
inode_has_perm+0x5b/0x63
Aug  2 21:48:09 localhost kernel:  <c04037df> error_code+0x4f/0x54  <c04503cc>
page_remove_rmap+0x75/0x91
Aug  2 21:48:09 localhost kernel:  <c044a769> unmap_vmas+0x285/0x490  <c044d0fc>
exit_mmap+0x5f/0xd5
Aug  2 21:48:09 localhost kernel:  <c0419fb1> mmput+0x26/0xce  <c041d465>
exit_mm+0x10f/0x11f
Aug  2 21:48:09 localhost kernel:  <c041e99d> do_exit+0x1c2/0x768  <c045c4bf>
vfs_writev+0x3d/0x48
Aug  2 21:48:09 localhost kernel:  <c041efb0> sys_exit_group+0x0/0xd  <c0402cb3>
syscall_call+0x7/0xb
Aug  2 21:48:09 localhost kernel: Fixing recursive fault but reboot is needed!
Aug  2 21:48:09 localhost kernel: BUG: scheduling while atomic:
udev_run_devd/0x00000001/3879
Aug  2 21:48:09 localhost kernel:  <c05fff59> schedule+0x43/0x582  <c041c9da>
printk+0x1f/0xaf
Aug  2 21:48:09 localhost kernel:  <c041e8b8> do_exit+0xdd/0x768  <c04042c0>
die+0x27b/0x2a0
Aug  2 21:48:09 localhost kernel:  <c04048a5> do_invalid_op+0x0/0xab  <c0404947>
do_invalid_op+0xa2/0xab
Aug  2 21:48:09 localhost kernel:  <c04503cc> page_remove_rmap+0x75/0x91 
<c04b0fc6> avc_has_perm+0x4e/0x58
Aug  2 21:48:09 localhost kernel:  <c04b1600> inode_has_perm+0x5b/0x63 
<c04037df> error_code+0x4f/0x54
Aug  2 21:48:09 localhost kernel:  <c04503cc> page_remove_rmap+0x75/0x91 
<c044a769> unmap_vmas+0x285/0x490
Aug  2 21:48:09 localhost kernel:  <c044d0fc> exit_mmap+0x5f/0xd5  <c0419fb1>
mmput+0x26/0xce
Aug  2 21:48:09 localhost kernel:  <c041d465> exit_mm+0x10f/0x11f  <c041e99d>
do_exit+0x1c2/0x768
Aug  2 21:48:09 localhost kernel:  <c045c4bf> vfs_writev+0x3d/0x48  <c041efb0>
sys_exit_group+0x0/0xd
Aug  2 21:48:09 localhost kernel:  <c0402cb3> syscall_call+0x7/0xb
Aug  2 21:48:11 localhost smartd[1798]: smartd received signal 15: Terminated
Aug  2 21:48:11 localhost smartd[1798]: smartd is exiting (exit status 0)
Aug  2 21:48:13 localhost kernel: audit(1154519293.945:3): user pid=1683 uid=81
auid=4294967295 subj=system_u:system_r:system_dbusd_t:s0 msg='avc:  6 AV entries
and 6/512 buckets used, longest chain length 1
Aug  2 21:48:13 localhost kernel: : exe="?" (sauid=81, hostname=?, addr=?,
terminal=?)'
Aug  2 21:48:14 localhost rpc.statd[1645]: Caught signal 15, un-registering and
exiting.
Aug  2 21:48:14 localhost kernel: Kernel logging (proc) stopped.
Aug  2 21:48:14 localhost kernel: Kernel log daemon terminating.
Comment 4 Evan Clarke 2006-08-02 21:44:02 EDT
Whoops.  Running FC5 - system has no RAM issues.

[evan@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.17-1.2157_FC5 #1 Tue Jul 11 22:55:46 EDT 2006
i686 athlon i386 GNU/Linux
Comment 5 Dave Jones 2006-10-16 13:58:50 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Chris Ricker 2006-10-30 11:52:57 EST
I've not seen this again since the dimm was replaced

Note You need to log in before you can comment on or make changes to this bug.